package sample;

import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class HelloController {
    @GetMapping("/")
    public ModelAndView index(final Authentication authentication) {
        final String name = authentication.getName();
        return new ModelAndView("index", "name", name);
    }
}
